Download it now!
Bug 115474 - Applying autoformat to a large number of cells takes too long (with row-alternate shading)
Summary: Applying autoformat to a large number of cells takes too long (with row-alter...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: perf
Depends on:
Blocks: Table-AutoFormat
  Show dependency treegraph
 
Reported: 2018-02-05 17:02 UTC by Heiko Tietze
Modified: 2019-04-01 03:24 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2018-02-05 17:02:55 UTC
Select columns A:E and apply any Format > Autoformat styles... Killed the process after an hour.

While the use case is to select only a small number of cells and to apply the style to this selection it's not unexpected that users try it for whole columns. A warning before the execution of potentially long lasting operation could be a solution. Or to disable the function in case of selection beyond a reasonable number.
Comment 1 Aron Budea 2018-02-06 01:21:36 UTC Comment hidden (obsolete)
Comment 2 Aron Budea 2018-02-06 01:40:20 UTC
Correction: it depends on if the style has row-alternate shading, eg. Box List Blue (6.0) or Currency Turqoise (< 6.0).
When using the appropriate style, the bug occurs from 6.0.0.3 all the way back to 3.3.0.
Comment 3 QA Administrators 2019-04-01 03:24:48 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug